#
#	This is free software written by Richard B. Johnson. No
#	copyright is claimed. It is also not guaranteed to do anything
#	useful.
#
#

.data
lastl:	.long	0
lasth:	.long	0
.text
.align	8	
.globl	tim
.type 	tim@function

#
#  Return the CPU clock difference between successive calls.
#
tim:	pushl	%ebx
	rdtsc
	movl	(lastl), %ebx		# Get last low longword
	movl	(lasth), %ecx		# Get last high longword
	movl	%eax, (lastl)		# Save current low longword
	movl	%edx, (lasth)		# Save current high longword
	subl	%ebx, %eax		# Current - last
	sbbl	%ecx, %edx		# Same with borrow
	popl	%ebx
	ret
.end

