

#include <stdio.h>
#include <unistd.h>
int main(void);
extern unsigned long long tim();

int main()
{
    unsigned long long cpu_speed, tt, calib;
    double usec;
    (void)tim();        /* Initialize */
    calib = tim();      /* Calibrate function-call CPU cycles */
    printf("Testing CPU Speed (once at start of program)\n");
    (void)tim();
    (void)sleep(1);
    cpu_speed = tim() - calib;
    printf("CPU speed = %llu Hz\n", cpu_speed);
    printf("Cycles to make the two function calls = %llu\n", calib);
    printf("Testing the time to write \"Hello World!\" to the terminal.\n");
    (void)tim();
    puts("Hello World!");
    tt = tim() - calib;
    usec = (double) tt / (double) cpu_speed;
    usec *= 1e6;
    printf("It took %llu cpu cycles or %f microseconds.\n", tt, usec);
    return 0;
}


